For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
      • GETList Sequences
      • POSTCreate a Sequence
      • GETFetch a Sequence
      • PUTUpdate a Sequence
      • DELDelete a Sequence
      • GETList Sequence Subscriptions
      • POSTSubscribe a Contact to a Sequence
      • GETFetch a single Sequence Subscription
      • PUTUpdate a specific Subscription
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsSequences (Workflows)

Fetch a Sequence

||View as Markdown|
GET
https://api.close.com/api/v1/sequence/:id/
GET
/api/v1/sequence/:id/
$curl https://api.close.com/api/v1/sequence/id/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
3 "date_created": "2022-03-10T14:31:45.512611",
4 "date_updated": "2022-03-10T14:31:45.512615",
5 "id": "seq_51kUuBR322o1B7vb2HvzSz",
6 "name": "My Sequence",
7 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
8 "schedule": null,
9 "status": "active",
10 "steps": [
11 {
12 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
13 "date_created": "2022-03-10T14:31:45.515197",
14 "date_updated": "2022-03-10T14:31:45.515200",
15 "delay": 0,
16 "email_template_id": null,
17 "id": "seqstep_6zDtfEugqTPcFinUzqFiAL",
18 "required": true,
19 "step_allowed_delay": null,
20 "step_type": "call",
21 "threading": null,
22 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
23 },
24 {
25 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
26 "date_created": "2022-03-10T14:31:45.516521",
27 "date_updated": "2022-03-10T14:31:45.516524",
28 "delay": 86400,
29 "email_template_id": "tmpl_VRIpo4I8JnTGANQsPv77kZvzAhbxbheWYPIRR3hKusu",
30 "id": "seqstep_0yMcp2AXxJh27sWsNpH0f1",
31 "required": true,
32 "step_allowed_delay": null,
33 "step_type": "email",
34 "threading": "old_thread",
35 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
36 },
37 {
38 "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
39 "date_created": "2022-03-10T14:31:45.517156",
40 "date_updated": "2022-03-10T14:31:45.517159",
41 "delay": 259200,
42 "email_template_id": "tmpl_VRIpo4I8JnTGANQsPv77kZvzAhbxbheWYPIRR3hKusu",
43 "id": "seqstep_7XwVZgafycIuCRILLzFR5t",
44 "required": true,
45 "step_allowed_delay": null,
46 "step_type": "email",
47 "threading": "old_thread",
48 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
49 }
50 ],
51 "subscription_counts_by_status": {
52 "active": 10,
53 "error": 0,
54 "finished": 5,
55 "goal": 15,
56 "paused": 2
57 },
58 "timezone": "America/Los_Angeles",
59 "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
60}
Was this page helpful?
Previous

Create a Sequence

Next

Update a Sequence

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error